#!/usr/bin/env slsh

require ("gtkdatabox");

variable databox, graph, win, x, y, table;

x = [-PI:PI:PI/100];
y = sin (x);

win = gtk_window_new (GTK_WINDOW_TOPLEVEL);
gtk_widget_set_size_request (win, 500, 500);
gtk_window_set_title (win, __argv [0]);
(databox, table) = gtk_databox_create_box_with_scrollbars_and_rulers (1, 1, 1, 1);
graph = gtk_databox_grid_new (10, 10, gdk_black, 0);
gtk_databox_graph_add (databox, graph);
graph = gtk_databox_lines_new (x, y, gdk_green, 1);
gtk_databox_graph_add (databox, graph);
gtk_databox_auto_rescale (databox, .05);
gtk_container_add (win, table);
() = g_signal_connect (win, "delete_event", &gtk_main_quit, NULL);
gtk_widget_show_all (win);

gtk_main ();
