#!/usr/bin/env slsh

require ("gtkdatabox");

variable box, databox, graph, win, x, y, vbox, txt;

x = [-PI:PI:PI/20];
y = sin (x);

win = gtk_window_new (GTK_WINDOW_TOPLEVEL);
gtk_widget_set_size_request (win, 500, 500);
gtk_window_set_title (win, __argv [0]);
vbox = gtk_vbox_new (FALSE, 5);
gtk_container_add (win, vbox);
txt = gtk_label_new ("Draw a selection with the left button pressed, then click into the selection.\nUse the right mouse button to zoom out.\nShift + right mouse button zooms to default.");
gtk_box_pack_start (vbox, txt, FALSE, FALSE, 0);
databox = gtk_databox_new ();
graph = gtk_databox_points_new (x, y, gdk_red, 5);
gtk_databox_graph_add (databox, graph);
graph = gtk_databox_bars_new (x, y, gdk_blue, 3);
gtk_databox_graph_add (databox, graph);
graph = gtk_databox_lines_new (x, abs (y), gdk_green, 0);
gtk_databox_graph_add (databox, graph);
graph = gtk_databox_cross_simple_new (gdk_black, 0);
gtk_databox_graph_add (databox, graph);
gtk_databox_auto_rescale (databox, .05);
gtk_box_pack_start (vbox, databox, TRUE, TRUE, 0);
() = g_signal_connect (win, "delete_event", &gtk_main_quit);
gtk_widget_show_all (win);

gtk_main ();
